#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d65d83e, "module_layout" },
	{ 0x7fdd7e6d, "eth_validate_addr" },
	{ 0xf8ce6428, "eth_mac_addr" },
	{ 0x8d57fae4, "usb_deregister" },
	{ 0x8290d339, "usb_register_driver" },
	{ 0xf33f08a6, "netif_carrier_on" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x690bffed, "netif_rx" },
	{ 0x9e075290, "eth_type_trans" },
	{ 0xb598217, "skb_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4c2c5e21, "__netdev_alloc_skb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc6e2facb, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9131e3d0, "dev_addr_mod" },
	{ 0xed99606e, "usb_alloc_coherent" },
	{ 0xece1b6e5, "usb_alloc_urb" },
	{ 0x5152e605, "memcmp" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x829ceed4, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2439c61e, "usb_reset_configuration" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d3f4cb, "alloc_etherdev_mqs" },
	{ 0x2bda6b4, "usb_autopm_get_interface" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3995b0d8, "__dev_kfree_skb_any" },
	{ 0xe012ec33, "pskb_expand_head" },
	{ 0x51976039, "usb_submit_urb" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x63a0d305, "request_firmware" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0x6a0e7b36, "usb_autopm_put_interface" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x824dec, "usb_kill_urb" },
	{ 0xccba5a68, "__dynamic_dev_dbg" },
	{ 0x1f14595b, "__dev_kfree_skb_irq" },
	{ 0xc5997333, "_dev_err" },
	{ 0x74d8a46b, "usb_control_msg" },
	{ 0x80fdfd6c, "netif_tx_wake_queue" },
	{ 0xabd896f6, "usb_unlink_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4585158c, "_dev_warn" },
	{ 0xebe4ce7a, "__dynamic_netdev_dbg" },
	{ 0xea7fa953, "free_netdev" },
	{ 0xc0819baa, "usb_free_coherent" },
	{ 0x87c3e1ca, "usb_free_urb" },
	{ 0x4848b90e, "unregister_netdev" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DF07F3D005C47DF60180606");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
