#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d65d83e, "module_layout" },
	{ 0x285a3f4a, "driver_unregister" },
	{ 0x26fda165, "uart_unregister_driver" },
	{ 0x567cf160, "i2c_del_driver" },
	{ 0x8f7e3c76, "__spi_register_driver" },
	{ 0x46e28e40, "i2c_register_driver" },
	{ 0x70f7896, "_printk" },
	{ 0x9bf83dc5, "uart_register_driver" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80bf8e72, "uart_update_timeout" },
	{ 0x9b1bd54d, "uart_get_baud_rate" },
	{ 0x1cfa1312, "__devm_regmap_init_i2c" },
	{ 0x58a5188f, "spi_get_device_id" },
	{ 0x5c053c53, "__devm_regmap_init_spi" },
	{ 0x275494d1, "device_get_match_data" },
	{ 0x242a4b2f, "spi_setup" },
	{ 0xccba5a68, "__dynamic_dev_dbg" },
	{ 0x349aea9f, "devm_request_threaded_irq" },
	{ 0x34954e8, "of_prop_next_u32" },
	{ 0xa1f8d7ae, "of_find_property" },
	{ 0xc4a50006, "uart_add_one_port" },
	{ 0xe743d853, "gpiochip_add_data_with_key" },
	{ 0xdb32c6f1, "sched_set_fifo" },
	{ 0x3f717d6c, "wake_up_process" },
	{ 0xc45a56fa, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x9b12c5b6, "__kthread_init_worker" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb8a34200, "devm_clk_get_optional" },
	{ 0x96663706, "device_property_read_u32_array" },
	{ 0x96aac98d, "devm_kmalloc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4585158c, "_dev_warn" },
	{ 0x64f57e23, "do_SAK" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xfca8c21b, "tty_flip_buffer_push" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x17b87e87, "uart_try_toggle_sysrq" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x6c34bdf4, "uart_insert_char" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc68da9a, "regmap_raw_read" },
	{ 0x2089a885, "gpiochip_remove" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x40df0744, "kthread_stop" },
	{ 0x501f3f02, "kthread_flush_worker" },
	{ 0x660152b1, "regmap_update_bits_base" },
	{ 0xdfb4089b, "uart_remove_one_port" },
	{ 0xa1a8bfce, "gpiochip_get_data" },
	{ 0xe10eaabf, "kthread_queue_work" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc5997333, "_dev_err" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x3f2981a7, "regmap_write" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6f5bce55, "uart_write_wakeup" },
	{ 0xd4cd149b, "regmap_raw_write" },
	{ 0x42d8cce2, "regcache_cache_bypass" },
	{ 0x3ea3ef3c, "regmap_read" },
	{ 0x7240a66f, "__stack_chk_guard" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "regmap-spi");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "C1EB12B2EF589372DD9E7C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
